TUNEDASD(8)

NAME
tunedasd - A tool to adjust tunable parameters on DASD devices

SYNOPSIS
tunedasd [OPTION] COMMAND device

DESCRIPTION
tunedasd is a tool to adjust tunable parameters on DASD devices. It can be used to modify the status of the device and to adjust some performance relevant settings. The DEVICE is the node of the device (e.g. '/dev/dasda') or a list of devices separated by a space character. Following functions are supported:

-   Get and reset the performance statistics profile per device.

-   Get and set the caching mode of the storage server. This is only available for ECKD devices, because it is implemented using ECKD Channel Program commands.

-   Reserve/Release/Unconditional Reserve a device. This is only available for ECKD devices, because it is based on the Control Unit functions.

If tunedasd is called without parameter, it prints a short usage information and exits.

OPTIONS

-v or --version
    Print version information, then exit.

COMMANDS

-h or --help
    Print usage information, then exit.

-g or --get_cache
    Get current storage server caching behavior.

-c or --cache <behavior>
    Define caching behavior on storage server. The following caching behaviors are currently supported by modern Enterprise Storage Servers (ESS):

•   normal ('Normal Cache replacement'),

•   bypass (Bypass Cache),

•   inhibit (Inhibit Cache Loading),

•   sequential (Sequential Access),

•   prestage (Sequential Prestage),

•   record (Record Access)

    More details about caching can be found in the 'Storage Control Reference' of the attached storage server.

-n or --no_cyl <n>
    Number of cylinders to be cached (only valid together with --cache).

-S or --reserve
    Reserve device.

-L or --release
    Release device.

-O or --slock
    Unconditional reserve device.
    Note: Use with care, this breaks an existing reserve.

--enable-stats
    Enable performance statistics globally.
    Note: Same as "echo 'set on' > /proc/dasd/statistics"

--disable-stats
    Disable performance statistics globally.
    Note: Same as "echo 'set off' > /proc/dasd/statistics"

-P or --profile
    Print profile info of device.
    Note: Profile info must be available and enabled in the kernel to get valid results out of the profile commands. Enable statistics via --enable-stats.

-Q or --query_reserve
    Query the current reserve status of the device. The following states are defined:

•   none: The device is not reserved.

•   implicit: The device is not reserved, but there is a contingent or implicit allegiance to this Linux instance.

•   other: The device is reserved to another operating system instance.

•   reserved: The device is reserved to this Linux instance.

    More details about reserve/release can be found in the 'Storage Control Reference' of the attached storage server.

-I or --prof_item <row>
    Print single profile item data row (without header).
    Following rows are supported:

•   reqs (# of dasd I/O requests),

•   sects (# of 512Byte sectors),

•   sizes (Histogram of sizes),

•   total (Histogram of I/O times),

•   totsect (Histogram of I/O times per sector),

•   start (Histogram of I/O time till ssch),

•   irq (istogram of I/O time between ssch and irq),

•   irqsect (istogram of I/O time between ssch and irq per sector),

•   end (Histogram of I/O time between irq and end),

•   queue (# of req in chanq at enqueuing)

-R or --reset_prof
    Reset profile info of device.

-p or --path_reset <chpid>
    Reset a channel path <chpid> of a selected device. A channel path might be suspended due to high IFCC error rates or a High Performance FICON failure. Use this option to resume considering the channel path for I/O.

--path_reset_all
    Reset all channel paths of the selected device. The channel paths might be suspended due to high IFCC error rates or a High Performance FICON failure. Use this option to resume considering all defined channel paths for I/O.

EXAMPLE
1. Scenario: Get profile info for a device.
       tunedasd -P /dev/dasdc
       tunedasd -PI irq /dev/dasdc
2. Scenario: Set device caching mode to 1 cylinder 'prestage'.
       tunedasd -c prestage -n 1 /dev/dasdc
3. Scenario: Reset failed channel path with CHPID 45
       tunedasd -p 45 /dev/dasdc

SEE ALSO
dasdview(8), dasdfmt(8), fdasd(8)